<?php  
include("../includes/inc-config.php");
include(CHEMIN."/includes/inc-fonctions.php");

include(CHEMIN."includes/Spyc.php");
include(CHEMIN."includes/yaml-readwriteclass.php");
$site=new yamlreadwrite(); 

// traiter le formulaire
$source=CHEMIN.DOSSIER_CONTENUS."/config_site.yaml";
$site->yamlread($source);

include(CHEMIN."/includes/inc-header.php");
include("inc-admin-header.php");


// chargement des access
$users=new yamlreadwrite(); 
$source=CHEMIN.DOSSIER_CONTENUS."/config_access.yaml";
$users->yamlread($source);
$infos=$users->yaml_simple_array();

$messages=$users->yamlfrompost(true);
afficher_messages($messages);
?>

<main id="main" class="container-fluid px-4">
    <div class="row my-4">
        <div class="col-12 texte mb-4">
            <h3>Configuration des utilisateurs</h3>
            <div>Configurez, ajoutez et supprimer des utilisateurs.</div>
        </div>


        <div class="col-12 col-sm-9 col-lg-6">
            <form method="post" id="usersform">
                <?php
                // soit c'est le superadmin et il voit tout
                // soit c'est un user et il ne voit que son propre accès
                if($_SESSION['UserData']['Userstatus'] =='admin'){
                    // virer de la liste les autres users
                    foreach($users->contenu as $cle => $valeur){
                        $access=explode("|§|",$valeur['contenu']);
                        if($access[0]!=$_SESSION['UserData']['Username']){
                            unset($users->contenu[$cle]);
                        }
                    }
                }

                $users->yamltoform("Updater les accès");
                ?>
            </form>

        </div>

        <div class='col-12 col-sm-3 col-lg-6'>
            <div class="border rounded p-3 mb-3">
                <h2 class="titre-small mb-2">A propos</h2>
                <div class="texte">
                    Attention lors du changement du password.
                </div>
            </div>
            <?php 
            if($_SESSION['UserData']['Userstatus'] =='superadmin'){
            ?>
            <div class="border rounded p-3">
                <h2 class="titre-small mb-2">Créez de nouveaux accès</h2>
                <div class="texte">
                    <p>En tant qu'admin, vous pouvez créer des accès pour d'autres administrateurs simples.<br>
                        Attention: ils ne pourront pas créer eux-mêmes de nouveaux administrateurs!
                    </p>

                    <button onclick="ajouter_utilisateur();" type="button" class="btn btn-primary btn-sm">Ajouter un administrateur</button>



                </div>
            </div>
            <?php
            }
            ?>
        </div>
    </div>
</main>
<script>
    function ajouter_utilisateur(){
        var empty_form=$("#usersform fieldset").eq(0).clone();
        $(empty_form).find("h4").html("Nouvel admin");
        $(empty_form).find("input") .attr("name","user_"+Math.random()+"[]") .attr("placeholder","Remplissez ce champ!").val("");
        $(empty_form).prependTo("#usersform [data-role='submit']");
    }

    var toastElList = [].slice.call(document.querySelectorAll('.toast'))
    var toastList = toastElList.map(function(toastEl) {
        // Creates an array of toasts (it only initializes them)
        return new bootstrap.Toast(toastEl) // No need for options; use the default options
    });
    toastList.forEach(toast => toast.show()); // This show them



</script>

<?php 
include("inc-admin-footer.php");
include("../includes/inc-footer.php");
?>
